Apache JMeter

## org.apache.jmeter.protocol.jms.sampler
Class TemporaryQueueExecutor

    java.lang.Object
      org.apache.jmeter.protocol.jms.sampler.TemporaryQueueExecutor

All Implemented Interfaces:
  QueueExecutor

public class TemporaryQueueExecutor
extends Object
implements QueueExecutor

Request/reply executor with a temporary reply queue.
Used by JMS Sampler (Point to Point) Created on: October 28, 2004

Version:
  $Revision: 678779 $

Constructor Summary
`TemporaryQueueExecutor(javax.jms.QueueSession session, javax.jms.Queue destination)` Constructor.

Method Summary
`javax.jms.Message` `sendAndReceive(javax.jms.Message request)` Sends and receives a message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemporaryQueueExecutor

    public TemporaryQueueExecutor(javax.jms.QueueSession session,
                                  javax.jms.Queue destination)
                           throws javax.jms.JMSException

  Constructor.

Parameters:
  `session` - the session to use to send the message
  `destination` - the queue to send the message on
Throws:
  `javax.jms.JMSException`

Method Detail

### sendAndReceive

    public javax.jms.Message sendAndReceive(javax.jms.Message request)
                                     throws javax.jms.JMSException

  Description copied from interface: `QueueExecutor`
  Sends and receives a message.

  Specified by:
    `sendAndReceive` in interface `QueueExecutor`
  Parameters:
    `request` - the message to send
  Returns:
    the received message or `null`
  Throws:
    `javax.jms.JMSException` - in case of an exception from the messaging system

Apache JMeter

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.